#include<iostream>
#include<vector>
using namespace std;
int main()
{
    unsigned int pericina_visina,visina_stalaktita,broj_stalaktita;
    cin>>broj_stalaktita>>pericina_visina;
    if(broj_stalaktita>1000){
        cout<<"Nije unesen dobar broj stalaktita";
        return 0;
    }
    vector <int> stalktiti(broj_stalaktita);
    for(int i=0;i<broj_stalaktita;i++){
        cin>>stalktiti[i];
        if(stalktiti[i]<=pericina_visina){
            cout<<i+1;
            return 0;
        }
    }
    cout<<"-1";
    return 0;
}